
# mdSilo

A mind silo for storing ideas, thought, knowledge with a powerful writing tool.
built with React and [Tauri](https://github.com/tauri-apps). 

[Demo](https://mdsilo.com/)    
[Discord](https://discord.gg/EXYSEHRTFt)  
[Download](https://github.com/danloh/mdSilo-app/releases) 


## Features

- WYSIWYG mode, Markdown mode, Mindmap mode; 
- Markdown support: Table, Math, Code block(Highlight)...   
- Slash commands, Hovering toolbar, hotkeys and more toolkits...   
- Chronicle view, Graph view, Task view... 
- Full-text search; 
- Available for Windows, macOS, Linux 

## Tech Stack

- Editor Framework: [ProseMirror](https://prosemirror.net/)      
- Frontend Framework: [React](https://reactjs.org/)  
- Cross-platform:  [Tauri](https://tauri.studio/) 

## Road map 

- Markdown
  - [X] Style: **Bold**, *Italic*, ~~Strikethrough~~, `Inline Code`
  - [X] Link: [mdSilo](https://mdsilo.com) and <https://mdsilo.com>, 
  - [X] Image: `![]()` 
  - [X] Headings and TOC, 
  - [X] List item: ordered list, bullet list, check list and nested list
  - [X] Table
  - [X] Blockquotes  
  - [X] Horizontal Rules 

- Markdown extension
  - [X] more style: `==mark==`, `__underline__`, `1^sup^`
  - [X] Highlight code block  
  - [X] Math: inline math `$\LaTeX$` and math block `$$\LaTeX$$` 
  - [X] Notice block: info, warning, tips 
  - [X] Wikilink: `[[]]` 
  - [X] Hashtag: `#tag#` 
  - [ ] Diagram: mermaid... 

- Writing and formatting 
  - [X] WYSIWYG, raw mode and mindmap mode 
  - [X] Slash commands  
  - [X] Hovering toolbar
  - [X] hotkeys 
  - [X] Split view

- View
  - [X] Graph
  - [X] Task
  - [X] Chronicle 

- Organize writings
  - [X] Folder management 
  - [X] Backlinks 
  - [X] Recent history 
  - [ ] Export as PDF,HTML, ... 
  - [ ] Version control: git integration 


## Live Demo

Here we go: [Live demo](https://mdsilo.com) 
